## org.eclipse.emf.ecore.impl
Class ValidationDelegateRegistryImpl

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<java.lang.String,java.lang.Object>
              org.eclipse.emf.ecore.impl.ValidationDelegateRegistryImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.lang.Object>, EValidator.ValidationDelegate.Registry

    public class ValidationDelegateRegistryImpl

extends java.util.HashMap<java.lang.String,java.lang.Object>
implements EValidator.ValidationDelegate.Registry

An implementation of a validation delegate registry.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary
`protected EValidator.ValidationDelegate.Registry` `delegateRegistry`

Fields inherited from interface org.eclipse.emf.ecore.EValidator.ValidationDelegate.Registry
`INSTANCE`

Constructor Summary
`ValidationDelegateRegistryImpl()`
`ValidationDelegateRegistryImpl(EValidator.ValidationDelegate.Registry delegateRegistry)`

Method Summary
`boolean` `containsKey(java.lang.Object key)`
`protected java.lang.Object` `delegatedGet(java.lang.Object key)`
`java.lang.Object` `get(java.lang.Object key)`
`EValidator.ValidationDelegate` `getValidationDelegate(java.lang.String uri)` Looks up the validation delegate in the map.

Methods inherited from class java.util.HashMap
`clear, clone, containsValue, entrySet, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`clear, containsValue, entrySet, equals, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Field Detail

### delegateRegistry

    protected EValidator.ValidationDelegate.Registry delegateRegistry

Constructor Detail

### ValidationDelegateRegistryImpl

    public ValidationDelegateRegistryImpl()

### ValidationDelegateRegistryImpl

    public ValidationDelegateRegistryImpl(EValidator.ValidationDelegate.Registry delegateRegistry)

Method Detail

### get

    public java.lang.Object get(java.lang.Object key)

  Specified by:
    `get` in interface `java.util.Map<java.lang.String,java.lang.Object>`
  Overrides:
    `get` in class `java.util.HashMap<java.lang.String,java.lang.Object>`

### getValidationDelegate

    public EValidator.ValidationDelegate getValidationDelegate(java.lang.String uri)

  Description copied from interface: `EValidator.ValidationDelegate.Registry`
  Looks up the validation delegate in the map.

  Specified by:
    `getValidationDelegate` in interface `EValidator.ValidationDelegate.Registry`

### delegatedGet

    protected java.lang.Object delegatedGet(java.lang.Object key)

### containsKey

    public boolean containsKey(java.lang.Object key)

  Specified by:
    `containsKey` in interface `java.util.Map<java.lang.String,java.lang.Object>`
  Overrides:
    `containsKey` in class `java.util.HashMap<java.lang.String,java.lang.Object>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.